clear all
close all
clc

%
set(0,'defaultaxesfontsize',14);
set(0,'defaultlinelinewidth',1.5);

x_e = 2.2; 
disc = 4; N = disc*500; x = 0:x_e/N:x_e; 

Ptot = 0.7; 
rho = x/x_e;
xdep = 0.2;

%% Case 1
sigma1 = 0.05; misspow = 1; Pin = misspow*Ptot;
Pcase1 = Deposition_profile_sim(Pin,sigma1,xdep,x);

%% Case 2
sigma2 = 0.05; misspow = 0.7; Pin = misspow*Ptot;
Pcase2 = Deposition_profile_sim(Pin,sigma2,xdep,x);


%% Case 3
sigma3 = 0.55; misspow = 1; Pin = misspow*Ptot;
Pcase3 = Deposition_profile_sim(Pin,sigma3,xdep,x);

%% Case 4
sigma4 = 0.55; misspow = 0.7; Pin = misspow*Ptot;
Pcase4 = Deposition_profile_sim(Pin,sigma4,xdep,x);


%% Case 1


f11 = figure(1);
subplot(1,3,[1])
plot(rho,Pcase1,'r',rho,Pcase2,'b')
xlabel('$\rho$ [-]','interpreter','latex');
ylabel('$P\left(\rho,\alpha,\sigma\right)$ [MW/m$^3$]','interpreter','latex')
grid on
axis([0,0.16,0,max(Pcase1)])
%legend()
subplot(1,3,[2,3])
hold on
plot(rho,Pcase1,'r')
plot(rho,Pcase2,'b')
%plot(rho,Pcase3,'k')
plot(rho,Pcase4,'k')
plot(-1,-1,'k.')
hold off
box on
axis([0,1,0,max(Pcase3)*1.5])

xlabel('$\rho$ [-]','interpreter','latex');
% ylabel('P [MW/m^3]')
grid on


tightfig(f11);
ls1 = legend('$\hat{P}(\rho,1,0.05)$ (estimated)',...
             '$P_{ech}(\rho,0.7,0.05)$ (total power)',...
             '$P_{ech}(\rho,0.7,0.55)$   (redistribution +',...
             '$P_{ech}$   missing/non-absorbed power)',...
             'location','northeast');%'$P_{ech}(\rho,0.7,0.55)$ (combined)',...
set(ls1,'interpreter','latex','fontsize',12)
% ls1 = legend('$\hat{P}(\rho,1,0.05)$ (estimated)',...
%              '$P_{ech}(\rho,0.7,0.05)$ (total power)',...
%              '$P_{ech}(\rho,0.7,0.55)$   (redistribution)',...
%              'location','northeast');%'$P_{ech}(\rho,0.7,0.55)$ (combined)',...
% set(ls1,'interpreter','latex','fontsize',12)
