function [S1,S2] = Reconstruct_signal2(F1,F2,Fup,P)
%This function file constructs the signal from the on/off time samples

T1 = round(10*F1(1,:).')/10000;  T2 = round(10*F2(1,:).')/10000;
P1 = F1(2,:); P2 = F2(2,:);

tupp = 0:1/Fup:T1(end); tupp = round(1e12*tupp)/1e12;
DiffT = diff(T1*1000); DiffT(end) = DiffT(end)+DiffT(1);



k1 = sprintf('f = %0.3g [Hz], interval time = [',1/T1(end));
k2 = num2str(DiffT.','%.1f,');

k = strcat(k1,k2,'] [ms]');

for i = 1:length(T1)
    ind1(i) = find(tupp == T1(i));
end

block1 = zeros(1,length(tupp(1:end-1)));
for i = 1:1:length(T1)-1
    ind = find(tupp >= tupp(ind1(i)));
    block1(ind) = P1(i); 
end


for i = 1:length(T2)
    ind2(i) = find(tupp == T2(i));
end

block2 = zeros(1,length(tupp(1:end-1)));
for i = 1:1:length(T2)-1
    ind22 = find(tupp >= tupp(ind2(i)));
    block2(ind22) = P2(i); 
end

S1_1 = block1(1:end-1);
S2_1 = block2(1:end-1);

S1 = repmat(S1_1,1,P);
S2 = repmat(S2_1,1,P);

% 
% h = figure
% subplot(3,1,1)
% hold on
% plot(tupp(1:end)*1000,block1,'k-')
% title(k)
% % stem(T1*1000,1.2*ones(1,length(T1)),'k.')
% grid on
% hold off
% xlabel('time [ms]')
% ylabel('#3(154GHZ)')
% box on
% axis([0,T1(end)*1000,0,1.15])
% 
% subplot(3,1,2)
% hold on
% plot(tupp(1:end)*1000,block2,'k-')
% % stem(T2*1000,1.2*ones(1,length(T2)),'k.')
% grid on
% hold off
% box on
% xlabel('time [ms]')
% ylabel('#7(77GHZ)')
% axis([0,T2(end)*1000,0,1.15])
% 
% Pupp= fft(block1(1:end-1)+block2(1:end-1),length(tupp(1:end-1)))/length(tupp(1:end-1));
% Frequency = 1/T1(end)*(1:10);
% 
% % figure
% % semilogy(Frequency,2*abs(Pupp(2:11))+eps,'k-o')
% % xlabel('Frequency [Hz]')
% % ylabel('A [MW]')
% % grid on
% % axis 'tight'
% 
% subplot(3,1,3)
% semilogy(Frequency,2*abs(Pupp(2:11)),'k-o')
% xlabel('Frequency [Hz]')
% ylabel('Spectrum')
% grid on
% box on
% axis([0,Frequency(end),0,0.1+max(0.9,max(2*abs(Pupp(2:11))))])
% set(h,'position',[520   216   684   582])
% 
% % h2 = figure
% % subplot(2,1,1)
% % hold on
% % plot(tupp(1:end)*1000,block1,'r.-')
% % title(k)
% % stem(T1*1000,1.2*ones(1,length(T1)),'k.')
% % grid on
% % hold off
% % xlabel('time [ms]')
% % ylabel('P_{ecrh} [MW]')
% % axis([0,T1(end)*1000,0,1.15])
% 
% % subplot(3,1,2)
% % hold on
% % plot(tupp(1:end)*1000,block2,'r.-')
% % stem(T2*1000,1.2*ones(1,length(T2)),'k.')
% % grid on
% % hold off
% % xlabel('time [ms]')
% % ylabel('P_{ecrh} [MW]')
% % axis([0,T2(end)*1000,0,1.15])
% % 
% % Pupp= fft(block1(1:end-1)+block2(1:end-1),length(tupp(1:end-1)))/length(tupp(1:end-1));
% % Frequency = 1/T1(end)*(1:10);
% % 
% % % figure
% % % semilogy(Frequency,2*abs(Pupp(2:11))+eps,'k-o')
% % % xlabel('Frequency [Hz]')
% % % ylabel('A [MW]')
% % % grid on
% % % axis 'tight'
% % 
% % subplot(2,1,2)
% % stem(Frequency,2*abs(Pupp(2:11)),'k-o')
% % xlabel('Frequency [Hz]')
% % ylabel('A [MW]')
% % grid on
% % axis([0,Frequency(end),0,0.1+max(0.9,max(2*abs(Pupp(2:11))))])
% % % print(h,'-dps','Msine2.eps')

end

